/*
    Copyright (C) 2005-2009  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _NNTPGRAB_GUI_H_
#define _NNTPGRAB_GUI_H_

#include "nntpgrab_gui_base.h"
#include "nntpgrab_glue.h"
#include "nntpgrab_utils.h"

extern NntpgrabGlue *glue;

void do_open_nzb_file(const char *nzb_file);
gboolean gui_get_is_initialized();
gboolean test_is_nntpgrab_server_already_running(void);
void auto_import_import_nzb_file(NntpgrabGlue *obj, NNTPGrabNZB *nzbfile, const char *collection_name, char **warnings);
void connections_reread_config(void);

#endif /* _NNTPGRAB_GUI_H_ */

