#ifndef WIDGETCONFIGPAR2_H
#define WIDGETCONFIGPAR2_H

#include <QWidget>
#include <QNNTPGrabGlue.h>

namespace Ui {
    class WidgetConfigPAR2;
}

class WidgetConfigPAR2 : public QWidget {
    Q_OBJECT
public:
    WidgetConfigPAR2(QNNTPGrabGlue *glue, QWidget *parent = 0);
    ~WidgetConfigPAR2();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::WidgetConfigPAR2 *ui;
    QNNTPGrabGlue *glue;

private slots:
    void onConfigChanged(void);
    void chkEnablePAR2Repair_toggled(bool toggled);
    void chkEnableIntelligentPAR2Downloading_toggled(bool toggled);
    void chkEnableAutoUnpack_toggled(bool toggled);
    void chkRemoveFilesAfterRepairAndUnpack_toggled(bool toggled);
};

#endif // WIDGETCONFIGPAR2_H
